%global _internal_version  c147867

Name:           mate-icon-theme-faenza
Version:        1.6.1
Release:        0.1.git%{_internal_version}%{?dist}
Summary:        Extra set of icon themes for MATE Desktop
License:        GPLv2+
URL:            http://mate-desktop.org

# To generate tarball
# wget http://git.mate-desktop.org/%%{name}/snapshot/%%{name}-{_internal_version}.tar.xz -O %%{name}-%%{version}.git%%{_internal_version}.tar.xz
Source0: http://raveit65.fedorapeople.org/Mate/git-upstream/%{name}-%{version}.git%{_internal_version}.tar.xz

#Source0:        http://pub.mate-desktop.org/releases/1.6/mate-icon-theme-faenza-1.6.0.tar.xz

BuildRequires: hardlink
BuildRequires: mate-common

BuildArch: noarch

%description
Provides a complimentary set of icon themes for MATE Desktop

%prep
%setup -q -n %{name}-%{_internal_version}


%build
NOCONFIGURE=1 ./autogen.sh
%configure
make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot}

# save space by linking identical images
hardlink -c -v %{buildroot}%{_datadir}/icons

%post
/bin/touch --no-create %{_datadir}/icons/matefaenza &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/matefaenzagray &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/matefaenzadark &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/matefaenza &> /dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/matefaenza &> /dev/null || :
    /bin/touch --no-create %{_datadir}/icons//matefaenzadark &> /dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/matefaenzadark &> /dev/null || :
    /bin/touch --no-create %{_datadir}/icons//matefaenzagray &> /dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/matefaenzagray &> /dev/null || :


fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/matefaenza &> /dev/null || :
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/matefaenzadark &> /dev/null || :
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/matefaenzagray &> /dev/null || :




%files
%{_datadir}/icons/matefaenzagray
%{_datadir}/icons/matefaenzadark
%{_datadir}/icons/matefaenza
%doc AUTHORS COPYING README NEWS



%changelog
* Thu Sep 12 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.1-0.1.gitc147867
- update latest git snapshot
- fix mate-icon-theme-faenza included Trademark and non-free logo, rhbz (#1005464)

* Wed Jul 31 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.6.0-1
- Initial build
